Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class FatigueLifeGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.FatigueLifeGen

    public class FatigueLifeGen

extends RandomVariateGen

This class implements random variate generators for the fatigue life distribution with location parameter μ, scale parameter β and shape parameter γ. The density function of this distribution is

f (x) = [(((x - μ)/β)1/2 + (β/(x - μ))1/2)/(2γ(x - μ))]φ((((x - μ)/β)1/2 - (β/(x - μ))1/2)/γ), x > μ

where φ is the probability density of the standard normal distribution.

Constructor Summary
`FatigueLifeGen(RandomStream s, double mu, double beta, double gamma)` Creates a fatigue life random variate generator with parameters μ = `mu`, β = `beta` and γ = `gamma`, using stream `s`.
`FatigueLifeGen(RandomStream s, FatigueLifeDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getBeta()` Returns the parameter β of this object.
`double` | `getGamma()` Returns the parameter γ of this object.
`double` | `getMu()` Returns the parameter μ of this object.
`static double` | `nextDouble(RandomStream s, double mu, double beta, double gamma)` Generates a variate from the fatigue life distribution with location parameter μ, scale parameter β and shape parameter γ.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FatigueLifeGen

    public FatigueLifeGen(RandomStream s,
                          double mu,
                          double beta,
                          double gamma)

  Creates a fatigue life random variate generator with parameters μ = `mu`, β = `beta` and γ = `gamma`, using stream `s`.

### FatigueLifeGen

    public FatigueLifeGen(RandomStream s,
                          FatigueLifeDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double mu,
                                    double beta,
                                    double gamma)

  Generates a variate from the fatigue life distribution with location parameter μ, scale parameter β and shape parameter γ.

### getBeta

    public double getBeta()

  Returns the parameter β of this object.

### getGamma

    public double getGamma()

  Returns the parameter γ of this object.

### getMu

    public double getMu()

  Returns the parameter μ of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.